boost::geometry::reversible_view< Range, Direction > Struct Template Reference

View on a range, reversing direction if necessary. More...

## Detailed Description

### template<typename Range, iterate_direction Direction>
struct boost::geometry::reversible_view< Range, Direction >

View on a range, reversing direction if necessary.

Template Parameters:

  Range | original range
  Direction | direction of iteration

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK